org.apache.ignite.internal.commandline.baseline

## Class BaselineArguments.Builder

- java.lang.Object
- - org.apache.ignite.internal.commandline.baseline.BaselineArguments.Builder

Enclosing class:
  BaselineArguments

    public static class BaselineArguments.Builder
    extends Object

Builder of `BaselineArguments`.

### Constructor Summary

Constructors
Constructor and Description
`Builder(BaselineSubcommands cmd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BaselineArguments` `build()`
`BaselineArguments.Builder` `withConsistentIds(List<String> ids)`
`BaselineArguments.Builder` `withEnable(Boolean enable)`
`BaselineArguments.Builder` `withSoftBaselineTimeout(Long timeout)`
`BaselineArguments.Builder` `withTopVer(long ver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(BaselineSubcommands cmd)

Parameters:
  `cmd` - Command.

### Method Detail

#### withEnable

    public BaselineArguments.Builder withEnable(Boolean enable)

Parameters:
  `enable` - `true` if auto-adjust should be enable, `false` if it should be disable, `null` if no operation needed.
Returns:
  This instance for chaining.

#### withSoftBaselineTimeout

    public BaselineArguments.Builder withSoftBaselineTimeout(Long timeout)

Parameters:
  `timeout` - New value of soft timeout.
Returns:
  This instance for chaining.

#### withTopVer

    public BaselineArguments.Builder withTopVer(long ver)

Parameters:
  `ver` - Requested topology version.
Returns:
  This instance for chaining.

#### withConsistentIds

    public BaselineArguments.Builder withConsistentIds(List<String> ids)

Parameters:
  `ids` - List of consistent ids for operation.
Returns:
  This instance for chaining.

#### build

    public BaselineArguments build()

Returns:
  `BaselineArguments`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020